import { ConnectionPoolAdapter } from './base/connectionPool';
import { ConnectionAdapter } from './base/connection';
import { Query } from '../../../query/domain';
import { ConnectionConfig } from '../../domain';
import { Helper } from '../../../shared/application';
import { Connection } from '../../application';
import { MappingConfigService, Data } from 'lambdaorm-base';
import { DialectService } from '../../../language/application';
export declare class SqlServerConnectionPoolAdapter extends ConnectionPoolAdapter {
    static lib: any;
    constructor(config: ConnectionConfig, helper: Helper);
    init(): Promise<void>;
    acquire(): Promise<Connection>;
    release(connection: Connection): Promise<void>;
    end(): Promise<void>;
}
export declare class SqlServerConnectionAdapter extends ConnectionAdapter {
    merge(mapping: MappingConfigService, dialect: DialectService, query: Query, data: Data): Promise<any>;
    bulkMerge(mapping: MappingConfigService, dialect: DialectService, query: Query, array: any[]): Promise<any[]>;
    constructor(cnx: any, pool: any, helper: Helper);
    select(mapping: MappingConfigService, dialect: DialectService, query: Query, data: Data): Promise<any>;
    insert(mapping: MappingConfigService, dialect: DialectService, query: Query, data: Data): Promise<any>;
    bulkInsert(mapping: MappingConfigService, dialect: DialectService, query: Query, array: any[]): Promise<any[]>;
    update(mapping: MappingConfigService, dialect: DialectService, query: Query, data: Data): Promise<number>;
    delete(mapping: MappingConfigService, dialect: DialectService, query: Query, data: Data): Promise<number>;
    execute(query: Query): Promise<any>;
    executeDDL(query: Query): Promise<any>;
    executeSentence(sentence: any): Promise<any>;
    beginTransaction(): Promise<void>;
    commit(): Promise<void>;
    rollback(): Promise<void>;
    private _query;
    private _execute;
    private _executeSentence;
    private createNonQueryRequest;
    protected solveArrayParameters(query: Query, data: Data, sentence: string): string;
    private addParameters;
    protected arrayToRows(mapping: MappingConfigService, dialect: DialectService, query: Query, array: any[]): any[];
    private getItemValue;
}
