import { Property, Source, SchemaState, Field, Sentence } from 'lambdaorm-base';
import { Operand, Parameter } from '3xpr';
export declare class SentenceHelper {
    private readonly schemaState;
    constructor(schemaState: SchemaState);
    getSource(sentence: Sentence, stage: string): Source;
    getPropertiesFromParameters(entityName: string, parameters: Parameter[]): Property[];
    groupByFields(operand: Operand): Field[];
    private _groupByFields;
    fieldsInSelect(operand: Operand): Property[];
    fieldsInModify(operand: Operand, entityName: string, addAutoIncrement?: boolean): Property[];
    getColumns(sentence: Sentence): Property[];
    getParameters(sentence: Sentence): Parameter[];
    private loadVariables;
}
