"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Helper = exports.QueryHelper = void 0;
const _3xpr_1 = require("3xpr");
const lambdaorm_base_1 = require("lambdaorm-base");
const { DateTime } = require('luxon');
const SqlString = require('sqlstring');
class QueryHelper {
    // eslint-disable-next-line no-useless-constructor
    constructor(str) {
        this.str = str;
    }
    dateFormat(value, format) {
        const iso = new Date(value).toISOString();
        if (format === 'ISO') {
            return DateTime.fromISO(iso).toISO();
        }
        else {
            return DateTime.fromISO(iso).toFormat(format);
        }
    }
    escape(value) {
        return SqlString.escape(value);
    }
    transformParameter(name) {
        return this.str.replace(name, '.', '_');
        // con la siguiente opción falla cuando se hace value=Helper.str.replace(value,"\\'","\\''")
        // return string.replace(new RegExp(search, 'g'), replace)
    }
}
exports.QueryHelper = QueryHelper;
class Helper extends lambdaorm_base_1.SchemaH3lp {
    constructor(operand, h3lp) {
        super(h3lp);
        this.operand = operand;
        this.operand = new _3xpr_1.OperandHelper(_3xpr_1.expressions.constBuilder);
        this.query = new QueryHelper(this.str);
    }
}
exports.Helper = Helper;
//# sourceMappingURL=helper.js.map