import { Mapping, QueryOptions, SchemaData, SchemaState } from 'lambdaorm-base';
import { ExpressionFacade } from '../../expressions/application';
import { LanguagesService } from '../../language/application';
import { Helper } from '../../shared/application';
import { StageActionDDL } from './useCases/base/actionDDL';
import { StageDelete } from './useCases/delete';
import { StageExport } from './useCases/export';
import { StageImport } from './useCases/import';
import { Executor } from '../../execution/domain';
import { StageMatchOptions } from '../domain';
export declare class StageFacade {
    private readonly schemaState;
    private readonly expression;
    private readonly executor;
    private readonly languages;
    private readonly helper;
    private stageModelService;
    private stageMappingService;
    constructor(workspace: string, schemaState: SchemaState, expression: ExpressionFacade, executor: Executor, languages: LanguagesService, helper: Helper);
    exists(name: string): Promise<boolean>;
    sync(options?: QueryOptions): StageActionDDL;
    drop(options?: QueryOptions): StageActionDDL;
    truncate(options?: QueryOptions): StageActionDDL;
    delete(options?: QueryOptions): StageDelete;
    export(options?: QueryOptions): StageExport;
    import(options?: QueryOptions): StageImport;
    introspect(options?: QueryOptions): Promise<Mapping[]>;
    match(options?: StageMatchOptions): Promise<void>;
    syncAndImport(data: any | any[], name: string, options?: QueryOptions): Promise<SchemaData>;
}
